<?php
/**
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */


defined('_JEXEC') or die;
use Joomla\CMS\Helper\ModuleHelper;
use Xiroweb\Module\XirowebBootstrapNav\Site\Helper\MenuHelper;
use Xiroweb\Module\XirowebBootstrapNav\Site\Helper\XirowebBootstrapNavHelper;
use Joomla\CMS\Factory;


$wa = Factory::getApplication()->getDocument()->getWebAssetManager();


$list       = MenuHelper::getList($params);
$base       = MenuHelper::getBase($params);
$active     = MenuHelper::getActive($params);
$default    = MenuHelper::getDefault();
$active_id  = $active->id;
$default_id = $default->id;
$path       = $base->tree;
$showAll    = $params->get('showAllChildren', 1);
$class_sfx  = htmlspecialchars($params->get('class_sfx', ''), ENT_COMPAT, 'UTF-8');

$module_id = 'bs-navbar-' . $module->id;
$cssclassusercustom = 'navbar-user-custom-' . $module->id;

$csscode = $params->get('csscode');

$style_css = '
        
            --bs-navbar-color: ' . $params->get('bs_navbar_color') . '; 
            --bs-navbar-hover-color: ' . $params->get('bs_navbar_hover_color') . ';
            --bs-navbar-disabled-color: ' . $params->get('bs_navbar_disabled_color') . ';
            --bs-navbar-active-color: ' . $params->get('bs_navbar_active_color') . ';
            --bs-navbar-brand-color: ' . $params->get('bs_navbar_brand_color') . ';
            --bs-navbar-brand-hover-color: ' . $params->get('bs_navbar_brand_hover_color') . ';
            --bs-navbar-toggler-border-color: ' . $params->get('bs_navbar_toggler_border_color') . ';
            --bs-navbar-bg-color: ' . $params->get('bs_navbar_bg') . ';
            --bs-border-width: 1px;
            --bs-navbar-toggler-border-radius: 4px;
        
';
// on joomla css build none --bs-
$style_css .= '
            --navbar-color: ' . $params->get('bs_navbar_color') . '; 
            --navbar-hover-color: ' . $params->get('bs_navbar_hover_color') . ';
            --navbar-disabled-color: ' . $params->get('bs_navbar_disabled_color') . ';
            --navbar-active-color: ' . $params->get('bs_navbar_active_color') . ';
            --navbar-brand-color: ' . $params->get('bs_navbar_brand_color') . ';
            --navbar-brand-hover-color: ' . $params->get('bs_navbar_brand_hover_color') . ';
            --navbar-toggler-border-color: ' . $params->get('bs_navbar_toggler_border_color') . ';
            --navbar-bg-color: ' . $params->get('bs_navbar_bg') . ';
            --border-width: 1px;
            --navbar-toggler-border-radius: 4px;
        
';


$bs_navbar_scss = '
background-color: var(--bs-navbar-bg-color);
a.navbar-brand {
    color: var(--bs-navbar-brand-color);
}
a.navbar-brand:hover {
    color: var(--bs-navbar-brand-hover-color);
}
.dropdown-menu {
    .dropdown-submenu {
        display: block;
        position: relative;
        left: 0;
        top: 0;
        padding-left: 15px;
    }
    @media (min-width: 768px) {
        min-width: 240px;
        padding-left: 0;
        .dropdown-submenu {
            display: none;
            position: absolute;
            left: 100%;
            top: -7px;
        }
        .dropdown-submenu-left {
            right: 100%;
            left: auto;
        }
        & > li:hover > .dropdown-submenu {
            display: block;
        }
    }
}
';



if ($params->get('custom_nav')) {
    // create and inline css
    $cssusercustom = XirowebBootstrapNavHelper::convertCss('.' . $cssclassusercustom . '{' . $style_css . '}');
    $wa->addInlineStyle($cssusercustom);
    $navbar_color_theme = $cssclassusercustom;
} else {
    if ($params->get('custom_nav_lightdark')) {
        $navbar_color_theme = 'navbar-light bg-light';
    } else {
        $navbar_color_theme = 'navbar-dark bg-dark';
    }
}


// create and inline css
$render_css = XirowebBootstrapNavHelper::convertCss('#' . $module_id . '{' . $bs_navbar_scss . $csscode . '}');
$wa->addInlineStyle($render_css);

$wrapper_container = '';

switch ($params->get('div_container_opt')) {
    case '1':
        $wrapper_container = '<div class="container">';
        break;
    case '2':
        $wrapper_container = '<div class="container-fluid">';
        break;
    case '3':
        $wrapper_container = '<div class="' . htmlspecialchars($params->get('wrapper_class', ''), ENT_QUOTES, 'UTF-8') . '">';
        break;
    default:       
        break;
}

require ModuleHelper::getLayoutPath('mod_xiroweb_bootstrap_nav', $params->get('layout', 'default'));
